Package ghidra.app.util.bin.format.objectiveC

# Class ObjectiveC1_Constants

java.lang.Object
ghidra.app.util.bin.format.objectiveC.ObjectiveC1_Constants

public final class ObjectiveC1_Constants extends Object

- ## Field Summary

  Fields
  Modifier and Type
  Field
  Description
  `static final String`
  `CATEGORY`
  `static final CategoryPath`
  `CATEGORY_PATH`
  `static final String`
  `NAMESPACE`
  `static final long`
  `OBJ_MSGSEND_RTP`
  Absolute symbol binding the runtime page (RTP) version of objc_msgSend.
  `static final long`
  `OBJ_MSGSEND_RTP_EXIT`
  Absolute symbol binding the runtime page (RTP) version of objc_msgSend_Exit.
  `static final String`
  `OBJC_MSG_SEND`
  `static final String`
  `OBJC_MSG_SEND_RTP_NAME`
  `static final String`
  `OBJC_MSG_SEND_WILDCARD`
  `static final String`
  `OBJC_SECTION_CATEGORY`
  `static final String`
  `OBJC_SECTION_CATEGORY_CLASS_METHODS`
  `static final String`
  `OBJC_SECTION_CATEGORY_INSTANCE_METHODS`
  `static final String`
  `OBJC_SECTION_CLASS`
  `static final String`
  `OBJC_SECTION_CLASS_METHODS`
  `static final String`
  `OBJC_SECTION_CLASS_REFS`
  `static final String`
  `OBJC_SECTION_DATA`
  `static final String`
  `OBJC_SECTION_INSTANCE_METHODS`
  `static final String`
  `OBJC_SECTION_INSTANCE_VARS`
  `static final String`
  `OBJC_SECTION_MESSAGE_REFS`
  `static final String`
  `OBJC_SECTION_METACLASS`
  `static final String`
  `OBJC_SECTION_MODULE_INFO`
  `static final String`
  `OBJC_SECTION_PROTOCOL`
  `static final String`
  `OBJC_SECTION_SYMBOLS`
  `static final String`
  `READ_UNIX2003`

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `ObjectiveC1_Constants()`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `static final List<String>`
  `getObjectiveCSectionNames()`
  Returns a list containing valid Objective-C section names.
  `static final boolean`
  `isObjectiveC(Program program)`
  Returns true if this program contains Objective-C.

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Field Details

  - ### NAMESPACE

    public static final String NAMESPACE
    See Also:
      - Constant Field Values

  - ### CATEGORY

    public static final String CATEGORY
    See Also:
      - Constant Field Values

  - ### CATEGORY_PATH

    public static final CategoryPath CATEGORY_PATH

  - ### OBJC_SECTION_CATEGORY

    public static final String OBJC_SECTION_CATEGORY
    See Also:
      - Constant Field Values

  - ### OBJC_SECTION_CATEGORY_CLASS_METHODS

    public static final String OBJC_SECTION_CATEGORY_CLASS_METHODS
    See Also:
      - Constant Field Values

  - ### OBJC_SECTION_CATEGORY_INSTANCE_METHODS

    public static final String OBJC_SECTION_CATEGORY_INSTANCE_METHODS
    See Also:
      - Constant Field Values

  - ### OBJC_SECTION_CLASS

    public static final String OBJC_SECTION_CLASS
    See Also:
      - Constant Field Values

  - ### OBJC_SECTION_CLASS_METHODS

    public static final String OBJC_SECTION_CLASS_METHODS
    See Also:
      - Constant Field Values

  - ### OBJC_SECTION_CLASS_REFS

    public static final String OBJC_SECTION_CLASS_REFS
    See Also:
      - Constant Field Values

  - ### OBJC_SECTION_INSTANCE_METHODS

    public static final String OBJC_SECTION_INSTANCE_METHODS
    See Also:
      - Constant Field Values

  - ### OBJC_SECTION_INSTANCE_VARS

    public static final String OBJC_SECTION_INSTANCE_VARS
    See Also:
      - Constant Field Values

  - ### OBJC_SECTION_MESSAGE_REFS

    public static final String OBJC_SECTION_MESSAGE_REFS
    See Also:
      - Constant Field Values

  - ### OBJC_SECTION_METACLASS

    public static final String OBJC_SECTION_METACLASS
    See Also:
      - Constant Field Values

  - ### OBJC_SECTION_MODULE_INFO

    public static final String OBJC_SECTION_MODULE_INFO
    See Also:
      - Constant Field Values

  - ### OBJC_SECTION_PROTOCOL

    public static final String OBJC_SECTION_PROTOCOL
    See Also:
      - Constant Field Values

  - ### OBJC_SECTION_SYMBOLS

    public static final String OBJC_SECTION_SYMBOLS
    See Also:
      - Constant Field Values

  - ### OBJC_SECTION_DATA

    public static final String OBJC_SECTION_DATA
    See Also:
      - Constant Field Values

  - ### READ_UNIX2003

    public static final String READ_UNIX2003
    See Also:
      - Constant Field Values

  - ### OBJC_MSG_SEND

    public static final String OBJC_MSG_SEND
    See Also:
      - Constant Field Values

  - ### OBJC_MSG_SEND_WILDCARD

    public static final String OBJC_MSG_SEND_WILDCARD
    See Also:
      - Constant Field Values

  - ### OBJC_MSG_SEND_RTP_NAME

    public static final String OBJC_MSG_SEND_RTP_NAME
    See Also:
      - Constant Field Values

  - ### OBJ_MSGSEND_RTP

    public static final long OBJ_MSGSEND_RTP
    Absolute symbol binding the runtime page (RTP) version of objc_msgSend.
    See Also:
      - Constant Field Values

  - ### OBJ_MSGSEND_RTP_EXIT

    public static final long OBJ_MSGSEND_RTP_EXIT
    Absolute symbol binding the runtime page (RTP) version of objc_msgSend_Exit.
    See Also:
      - Constant Field Values

- ## Constructor Details

  - ### ObjectiveC1_Constants

    public ObjectiveC1_Constants()

- ## Method Details

  - ### getObjectiveCSectionNames

    public static final List<String> getObjectiveCSectionNames()
    Returns a list containing valid Objective-C section names.
    Returns:
      a list containing valid Objective-C section names

  - ### isObjectiveC

    public static final boolean isObjectiveC(Program program)
    Returns true if this program contains Objective-C.
    Parameters:
      `program` - the program to check
    Returns:
      true if the program contains Objective-C.